## Apache Zeta Components Manual :: Docs For Class ezcSearchDoesNotProvideDefinitionException

### Search::ezcSearchDoesNotProvideDefinitionException

### Class ezcSearchDoesNotProvideDefinitionException

This exception is thrown when the embedded manager can not find a definition for a class because it doesn't implement the interface.

Source for this file: /Search/src/exceptions/does_not_provide_definition.php

    Exception
       |
       --ezcBaseException
          |
          --ezcSearchException
             |
             --ezcSearchDoesNotProvideDefinitionException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $type )` Constructs an ezcSearchDoesNotProvideDefinitionException for document type $type

### Inherited Methods

From ezcSearchException
public void | `ezcSearchException::__construct()` Constructs an ezcSearchException
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( string $type )

Constructs an ezcSearchDoesNotProvideDefinitionException for document type $type

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcSearchException::__construct()` | Constructs an ezcSearchException

Documentation generated by phpDocumentor 1.4.3